Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 880228 - reporter-bugzilla crashes if bug summary template contains an undefined variable
Summary: reporter-bugzilla crashes if bug summary template contains an undefined variable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f7ee88034268b4503aa67a618be...
Depends On: 879846
Blocks: 880191
TreeView+ depends on / blocked
 
Reported: 2012-11-26 14:42 UTC by Jakub Filak
Modified: 2016-12-01 00:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 879846
Environment:
Last Closed: 2013-02-26 02:40:28 UTC
Type: ---


Attachments (Terms of Use)

Description Jakub Filak 2012-11-26 14:42:05 UTC
+++ This bug was initially created as a clone of Bug #879846 +++

Description of problem:
crash while reporting a selinux problem in sealert

Additional info:
backtrace_rating: 4
cmdline:        reporter-bugzilla -b
crash_function: strlen
executable:     /usr/bin/reporter-bugzilla
kernel:         3.7.0-0.rc6.git3.1.fc19.x86_64
package:        libreport-plugin-bugzilla-2.0.19-1.fc19
remote_result:  NOTFOUND
uid:            1000
var_log_messages: Nov 24 21:04:20 arekh abrt[29081]: Saved core dump of pid 29078 (/usr/bin/reporter-bugzilla) to /var/spool/abrt/ccpp-2012-11-24-21:04:20-29078 (14307328 bytes)

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:31
 #1 rhbz_new_bug at rhbz.c:487

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:02 CET ---

Created attachment 651210 [details]
File: backtrace

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:06 CET ---

Created attachment 651211 [details]
File: cgroup

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:08 CET ---

Created attachment 651212 [details]
File: core_backtrace

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:10 CET ---

Created attachment 651213 [details]
File: dso_list

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:12 CET ---

Created attachment 651214 [details]
File: environ

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:14 CET ---

Created attachment 651215 [details]
File: limits

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:16 CET ---

Created attachment 651216 [details]
File: maps

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:18 CET ---

Created attachment 651217 [details]
File: open_fds

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:24 CET ---

Created attachment 651218 [details]
File: proc_pid_status

--- Additional comment from Nicolas Mailhot on 2012-11-24 21:13:26 CET ---

Created attachment 651219 [details]
File: smolt_data

--- Additional comment from Jakub Filak on 2012-11-26 13:48:41 CET ---

Fixed in git

commit 594238dbdca46270da6e017e682736a40abd4fa3
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Mon Nov 26 13:32:55 2012 +0100

    reporter-bz: don't return NULL on %non_existing_item% - use "" instead
    
    With a few other tweaks included:
    - Use "%reason%" as default %summary
    - Die if format string is bad
    
    Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>

Comment 1 Fedora Update System 2012-11-26 18:06:14 UTC
btparser-0.23-1.fc17, abrt-2.0.19-2.fc17, libreport-2.0.19-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-18329/abrt-2.0.19-2.fc17,libreport-2.0.19-2.fc17,btparser-0.23-1.fc17

Comment 2 Fedora Update System 2012-11-28 11:27:50 UTC
Package btparser-0.23-1.fc17, abrt-2.0.19-2.fc17, libreport-2.0.19-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing btparser-0.23-1.fc17 abrt-2.0.19-2.fc17 libreport-2.0.19-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18329/abrt-2.0.19-2.fc17,libreport-2.0.19-2.fc17,btparser-0.23-1.fc17
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-12-04 04:55:27 UTC
Package btparser-0.23-1.fc17, abrt-2.0.19-2.fc17, libreport-2.0.19-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing btparser-0.23-1.fc17 abrt-2.0.19-2.fc17 libreport-2.0.19-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18329/abrt-2.0.19-2.fc17,libreport-2.0.19-3.fc17,btparser-0.23-1.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-12-20 09:49:00 UTC
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17,btparser-0.24-1.fc17,libreport-2.0.20-1.fc17

Comment 5 Fedora Update System 2013-02-26 02:40:31 UTC
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.